This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426178 - gtkdoc-scan fails on pango
gtkdoc-scan fails on pango
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2007-12-18 19:55 EST by Doug Chapman
Modified: 2007-12-19 19:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 19:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to move needed declarations to pango-ot.h (1.10 KB, patch)
2007-12-18 19:55 EST, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2007-12-18 19:55:12 EST
Description of problem:
This is seen on ia64 where it causes the generated pango-scan binary to
segfault, not sure why we get away with it on other platforms but the root
problem exists everywhere.

When building pango these warnings are seen:
pango-scan.c:44: warning: implicit declaration of function 'pango_ot_info_get_type'
pango-scan.c:45: warning: implicit declaration of function
'pango_ot_ruleset_get_type'

Then pango-scan later fails.

The undeclared functions are defined in pango-ot-private.h but only pango-ot.h
is included in docs/pango.types.

I moved the 2 declarations from pango-ot-private.h to pango-ot.h and it fixes my
build issue.  I will attach a patch.

Version-Release number of selected component (if applicable):
pango-1.19.1-1.fc9

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2007-12-18 19:55:12 EST
Created attachment 289968 [details]
patch to move needed declarations to pango-ot.h
Comment 2 Behdad Esfahbod 2007-12-19 19:56:58 EST
Thanks.  Fixed upstream.

2007-12-19  Behdad Esfahbod  <behdad@gnome.org>

         Red Hat Bug 426178: gtkdoc-scan fails on pango

        * docs/pango-sections.txt:
        * pango/pango-ot-private.h:
        * pango/pango-ot.h:
        Make the following symbols available to engines:

                PANGO_IS_OT_INFO
                PANGO_IS_OT_RULESET
                PANGO_OT_INFO
                PANGO_OT_RULESET
                PANGO_TYPE_OT_INFO
                PANGO_TYPE_OT_RULESET
                pango_ot_info_get_type
                pango_ot_ruleset_get_type


Note You need to log in before you can comment on or make changes to this bug.